# Welcome to the M17 Protocol Specification

Edit these docs at [GitHub](https://github.com/M17-Project/m17-specification).

## [Part I - Air and IP Interface](partI.md)
* [M17 RF Protocol: Summary](summary.md)
* [Glossary](glossary.md)
* [Physical Layer](physical_layer.md)
    * [4FSK generation](physical_layer.md#4fsk-generation)
        * [Preamble](physical_layer.md#preamble)
        * [Bit types](physical_layer.md#bit-types)
        * [Error correction coding schemes and bit type conversion](physical_layer.md#error-correction-coding-schemes-and-bit-type-conversion)
* [Data Link Layer](data_link_layer.md)
    * [Stream Mode](data_link_layer.md#stream-mode)
    * [Packet Mode](data_link_layer.md#packet-mode)
* [Application Layer](application_layer.md)
    * [Packet Superframes](application_layer.md#packet-superframes)
    * [Encryption Types](application_layer.md#encryption-types)

## [Part II - Codeplug](partII.md)
* [Recommendation for the codeplug structure](codeplug.md#recommendation-for-the-codeplug-structure)
    * [Introduction](codeplug.md#introduction)
    * [Codeplug file structure](codeplug.md#codeplug-file-structure)
    * [Example Codeplug](codeplug.md#example-codeplug)

## [Appendix](appendix.md)
* [Address Encoding](address_encoding.md)
    * [Callsign Encoding: base40](address_encoding.md#callsign-encoding-base40)
    * [Callsign Formats](address_encoding.md#callsign-formats)
* [Decorrelator sequence](decorrelator.md)
* [Interleaving](interleaving.md)
* [M17 Internet Protocol (IP) Networking](ip_networking.md)
    * [Standard IP Framing](ip_networking.md#standard-ip-framing)
    * [Control Packets](ip_networking.md#control-packets)
* [KISS Protocol](kiss_protocol.md)
    * [References](kiss_protocol.md#references)
    * [Glossary](kiss_protocol.md#glossary)
    * [M17 Protocols](kiss_protocol.md#m17-protocols)
    * [KISS Basics](kiss_protocol.md#kiss-basics)
    * [Packet Protocols](kiss_protocol.md#packet-protocols)
    * [Stream Protocol](kiss_protocol.md#stream-protocol)
    * [Mixing Modes](kiss_protocol.md#mixing-modes)
    * [Implementation Details](kiss_protocol.md#implementation-details)
